## net.dontdrinkandroot.cache.expungestrategy.impl
Class LfuRecyclingExpungeStrategy

    java.lang.Object
      net.dontdrinkandroot.cache.expungestrategy.impl.AbstractMaxSizeExpungeStrategy
          net.dontdrinkandroot.cache.expungestrategy.impl.AbstractRecyclingExpungeStrategy
              net.dontdrinkandroot.cache.expungestrategy.impl.LfuRecyclingExpungeStrategy

All Implemented Interfaces:
  ExpungeStrategy

    public class LfuRecyclingExpungeStrategy

extends AbstractRecyclingExpungeStrategy

Author:
  Philip W. Sorst <philip@sorst.net>

Field Summary

Fields inherited from class net.dontdrinkandroot.cache.expungestrategy.impl.AbstractMaxSizeExpungeStrategy
`maxSize`

Constructor Summary
`LfuRecyclingExpungeStrategy(int maxSize, float recycleFactor)`
`LfuRecyclingExpungeStrategy(int maxSize, int recycleSize)`

Method Summary

`protected

`<K,M extends MetaData> Comparator<Map.Entry<K,M>>`

`

`getComparator()`

Methods inherited from class net.dontdrinkandroot.cache.expungestrategy.impl.AbstractRecyclingExpungeStrategy
`getRecycleSize, setRecycleFactor, setRecycleSize, triggers`

Methods inherited from class net.dontdrinkandroot.cache.expungestrategy.impl.AbstractMaxSizeExpungeStrategy
`getMaxSize, getToExpungeMetaData, setMaxSize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LfuRecyclingExpungeStrategy

    public LfuRecyclingExpungeStrategy(int maxSize,
                                       float recycleFactor)

### LfuRecyclingExpungeStrategy

    public LfuRecyclingExpungeStrategy(int maxSize,
                                       int recycleSize)

Method Detail

### getComparator

    protected <K,M extends MetaData> Comparator<Map.Entry<K,M>> getComparator()

  Specified by:
    `getComparator` in class `AbstractMaxSizeExpungeStrategy`

Copyright © 2013 dontdrinkandroot. All Rights Reserved.